"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10def6840>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10def68e0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10def6980>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10def6a20>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10def6ac0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10def6b60>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10def6c00>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10def6ca0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10def6d40>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10def6de0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10def6e80>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10def6f20>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10def6fc0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10def7060>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10def7100>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10def71a0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10def7240>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10def72e0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10def7380>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10def7420>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10def74c0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10def7560>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10def7600>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10def76a0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10def7740>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10def77e0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10def7880>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10def7920>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10def79c0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10def7a60>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10def7b00>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10def7ba0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10def7c40>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10def7ce0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10def7d80>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10def7e20>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10def7ec0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10def7f60>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10df34040>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10df340e0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10df34180>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10df34220>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10df342c0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10df34360>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10df34400>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10df344a0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10df34540>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10df345e0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10df34680>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10df34720>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10df347c0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10df34860>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10df34900>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10df349a0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10df34a40>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10df34ae0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10df34b80>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10df34c20>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10df34cc0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10df34d60>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10df34e00>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10df34ea0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10df34f40>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10df34fe0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10df35080>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10df35120>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10df351c0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10df35260>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10df35300>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10df353a0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10df35440>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10df354e0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10df35580>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10df35620>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10df356c0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10df35760>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10df35800>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10df358a0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10df35940>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10df359e0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10df35b20>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10df35a80>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10df35bc0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10df35c60>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10df35d00>)]
name: str = 'fr_HOCCN'
